# Remove tests that don't work in the network sandbox

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -235,12 +235,12 @@ if (BUILD_TESTS AND NOT SKIP_SRC)
 
   add_custom_target (tests DEPENDS
                      array-test
-                     boreas-alivedetection-test
-                     boreas-cli-test
+#                     boreas-alivedetection-test
+#                     boreas-cli-test
                      boreas-error-test
                      boreas-io-test
-                     boreas-ping-test
-                     boreas-sniffer-test
+#                     boreas-ping-test
+#                     boreas-sniffer-test
                      compressutils-test
                      cpeutils-test
                      cvss-test
@@ -248,15 +248,15 @@ if (BUILD_TESTS AND NOT SKIP_SRC)
                      httputils-test
                      json-test
                      jsonpull-test
-                     logging-test
+#                     logging-test
                      logging-domain-test
-                     networking-test
+#                     networking-test
                      nvti-test
                      openvasd-test
                      osp-test
                      passwordbasedauthentication-test
                      test-hosts
-                     util-test
+#                     util-test
                      version-test
                      versionutils-test
                      vtparser-test
--- a/base/CMakeLists.txt
+++ b/base/CMakeLists.txt
@@ -101,13 +101,17 @@ if (BUILD_TESTS)
   add_unit_test (cvss-test cvss_tests.c -lm ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS})
 
   set (NETWORKING_TEST_LINKER_WRAP_OPTIONS "-Wl,-wrap,g_io_channel_new_file,-wrap,g_io_channel_shutdown")
+#[===[
   add_unit_test (networking-test networking_tests.c gvm_base_shared ${CGREEN_LIBRARIES} ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${NETWORKING_TEST_LINKER_WRAP_OPTIONS})
+]===]
   add_unit_test (pwpolicy-test pwpolicy_tests.c ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS})
   add_unit_test (version-test version_tests.c ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS})
   add_unit_test (nvti-test nvti_tests.c ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS})
   add_unit_test (hosts-test hosts_tests.c gvm_base_shared gvm_util_shared ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS})
   add_unit_test (logging-domain-test logging_domain_tests.c gvm_base_shared ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS})
+#[===[
   add_unit_test (logging-test logging_tests.c gvm_base_shared ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS})
+]===]
 endif (BUILD_TESTS)
 
 
--- a/boreas/CMakeLists.txt
+++ b/boreas/CMakeLists.txt
@@ -100,22 +100,27 @@ set (LIBGVM_BOREAS_NAME
 ## Tests
 
 if (BUILD_TESTS)
+#[===[
   add_unit_test (boreas-alivedetection-test alivedetection_tests.c gvm_boreas_shared gvm_base_shared gvm_util_shared
                  ${GLIB_LDFLAGS} ${PCAP_LDFLAGS} ${LIBNET_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${CMAKE_THREAD_LIBS_INIT})
+]===]
   add_unit_test (boreas-error-test boreas_error_tests.c ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${CMAKE_THREAD_LIBS_INIT})
   add_unit_test (boreas-io-test boreas_io_tests.c gvm_boreas_shared gvm_base_shared gvm_util_shared
                  ${PCAP_LDFLAGS} ${LIBNET_LDFLAGS} ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${CMAKE_THREAD_LIBS_INIT})
+#[===[
   add_unit_test (boreas-cli-test cli_tests.c gvm_boreas_shared gvm_base_shared gvm_util_shared
                  ${GLIB_LDFLAGS} ${PCAP_LDFLAGS} ${LIBNET_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${CMAKE_THREAD_LIBS_INIT})
   add_unit_test (boreas-ping-test ping_tests.c gvm_boreas_shared gvm_base_shared
                  ${GLIB_LDFLAGS} ${PCAP_LDFLAGS} ${LIBNET_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${CMAKE_THREAD_LIBS_INIT})
   add_unit_test (boreas-sniffer-test sniffer_tests.c gvm_boreas_shared gvm_base_shared gvm_util_shared
                  ${PCAP_LDFLAGS} ${LIBNET_LDFLAGS} ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${CMAKE_THREAD_LIBS_INIT})
-
+]===]
   set (UTIL_TEST_LINKER_WRAP_OPTIONS
       "-Wl,-wrap,socket,-wrap,setsockopt")
+#[===[
   add_unit_test (util-test util_tests.c gvm_base_shared
                  ${GLIB_LDFLAGS} ${LINKER_HARDENING_FLAGS} ${CMAKE_THREAD_LIBS_INIT} ${UTIL_TEST_LINKER_WRAP_OPTIONS})
+]===]
 endif (BUILD_TESTS)
 
 ## Install
--- a/util/CMakeLists.txt
+++ b/util/CMakeLists.txt
@@ -164,17 +164,21 @@ if (BUILD_TESTS)
                  ${GCRYPT_LDFLAGS} ${LDAP_LDFLAGS} ${REDIS_LDFLAGS}
                  ${LIBXML2_LDFLAGS} ${UUID_LDFLAGS}
                  ${LINKER_HARDENING_FLAGS})
+#[===[
   add_unit_test (mqtt-test mqtt_tests.c gvm_util_shared gvm_base_shared
                  ${GLIB_LDFLAGS} ${LIBPAHO_LDFLAGS} ${UUID_LDFLAGS}
                  ${LINKER_HARDENING_FLAGS})
+]===]
   add_unit_test (kb-test kb_tests.c gvm_base_shared ${GLIB_LDFLAGS} ${REDIS_LDFLAGS}
                  ${LINKER_HARDENING_FLAGS})
   add_unit_test (radiusutils-test radiusutils_tests.c gvm_util_shared gvm_base_shared
                  ${GLIB_LDFLAGS} ${RADIUS_LDFLAGS}
                  ${LINKER_HARDENING_FLAGS})
+#[===[
   add_unit_test (serverutils-test serverutils_tests.c gvm_util_shared gvm_base_shared
                  ${GLIB_LDFLAGS} ${GCRYPT_LDFLAGS} ${GNUTLS_LDFLAGS}
                  ${LINKER_HARDENING_FLAGS})
+]===]
   add_unit_test (versionutils-test versionutils_tests.c
                  ${GLIB_LDFLAGS} ${GIO_LDFLAGS} ${GPGME_LDFLAGS} ${ZLIB_LDFLAGS}
                  ${RADIUS_LDFLAGS} ${LIBSSH_LDFLAGS} ${GNUTLS_LDFLAGS}
